image: maven:3.5.4-jdk-8

unit_test:
    stage: test
    script:
    - mvn clean test

test_job:
    script: mvn clean test
    rules:
        - if: '$CI_COMMIT_BRANCH == "main"'

test_job2:
    image: maven:3.6.3-jdk-11
    script:
        mvn verify sonar:sonar -Dsonar.qualitygate.wait=true
       -Dsonar.projectKey=hubert.savier_test2
 
